package xyz.etztech.embed;

import xyz.etztech.Javacord;

import java.util.ArrayList;
import java.util.List;

public class Field {
    private final String name;
    private final String value;
    private final boolean inline;

    public Field(String name, String value) {
        this.name = name;
        this.value = value;
        this.inline = false;
    }

    public Field(String name, String value, boolean inline) {
        this.name = name;
        this.value = value;
        this.inline = inline;
    }

    public String toJSON() {
        StringBuilder builder = new StringBuilder("{");
        List<String> json = new ArrayList<>();
        json.add(String.format("\"name\": \"%s\"", Javacord.escapeQuote(name)));
        json.add(String.format("\"value\": \"%s\"", Javacord.escapeQuote(value)));
        if (inline) json.add(String.format("\"inline\": %s", true));
        builder.append(String.join(",", json));
        return builder.append("}").toString();
    }
}
